package com.ruoyi.system.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.common.core.text.Convert;
import com.ruoyi.system.domain.RiskOrg;
import com.ruoyi.system.mapper.RiskOrgMapper;
import com.ruoyi.system.service.IRiskOrgService;

/**
 * 组织机构服务实现
 */
@Service
public class RiskOrgServiceImpl implements IRiskOrgService
{
    @Autowired
    private RiskOrgMapper riskOrgMapper;

    @Override
    public RiskOrg selectRiskOrgById(Long orgId)
    {
        return riskOrgMapper.selectRiskOrgById(orgId);
    }

    @Override
    public List<RiskOrg> selectRiskOrgList(RiskOrg riskOrg)
    {
        return riskOrgMapper.selectRiskOrgList(riskOrg);
    }

    @Override
    public int insertRiskOrg(RiskOrg riskOrg)
    {
        return riskOrgMapper.insertRiskOrg(riskOrg);
    }

    @Override
    public int updateRiskOrg(RiskOrg riskOrg)
    {
        return riskOrgMapper.updateRiskOrg(riskOrg);
    }

    @Override
    public int deleteRiskOrgByIds(String ids)
    {
        return riskOrgMapper.deleteRiskOrgByIds(Convert.toStrArray(ids));
    }
}
